/****SCRIPT INFORMATION****
* Script name: GlassHUD
* Version: 1.6
* Codename: Glossy Glass eyes
* Coder: LaaZa
* run on: Client
* Author website: http://laaza.urli.net
*/
if (SERVER) then return end //Clientside only

 
function CustomFont()
	surface.CreateFont ("coolvetica",16, 400, true, true, "GlassHUD_1")
	surface.CreateFont ("coolvetica",36, 400, true, true, "GlassHUD_2")
end
hook.Add( "Initialize", "GlassHUD_CustomFont",CustomFont);


//convars
local hp_Border_red = CreateClientConVar( "GlassHUD_HP_outer_red", 255, true, false )
local hp_Border_green = CreateClientConVar( "GlassHUD_HP_outer_green", 255, true, false )
local hp_Border_blue = CreateClientConVar( "GlassHUD_HP_outer_blue", 255, true, false )

local hp_Glass_red = CreateClientConVar( "GlassHUD_HP_inner_red", 50, true, false )
local hp_Glass_green = CreateClientConVar( "GlassHUD_HP_inner_green",50, true, false )
local hp_Glass_blue = CreateClientConVar( "GlassHUD_HP_inner_blue",255, true, false )

local hp_Font_red = CreateClientConVar( "GlassHUD_HP_Font_red",255, true, false )
local hp_Font_green = CreateClientConVar( "GlassHUD_HP_Font_green",255, true, false )
local hp_Font_blue = CreateClientConVar( "GlassHUD_HP_Font_blue",255, true, false )

local hp_Border_red_dead = CreateClientConVar( "GlassHUD_HP_outer_red_dead",255, true, false )
local hp_Border_green_dead = CreateClientConVar( "GlassHUD_HP_outer_green_dead",255, true, false )
local hp_Border_blue_dead = CreateClientConVar( "GlassHUD_HP_outer_blue_dead",255, true, false )

local hp_Glass_red_dead = CreateClientConVar( "GlassHUD_HP_inner_red_dead",255, true, false )
local hp_Glass_green_dead = CreateClientConVar( "GlassHUD_HP_inner_green_dead",50, true, false )
local hp_Glass_blue_dead = CreateClientConVar( "GlassHUD_HP_inner_blue_dead",50, true, false )

local hp_Font_red_dead = CreateClientConVar( "GlassHUD_HP_Font_red_dead",255, true, false )
local hp_Font_green_dead = CreateClientConVar( "GlassHUD_HP_Font_green_dead",255, true, false )
local hp_Font_blue_dead = CreateClientConVar( "GlassHUD_HP_Font_blue_dead",255, true, false )

local hp_showdead = CreateClientConVar( "GlassHUD_Dead",1, true, false )
local hp_deadtext = CreateClientConVar( "GlassHUD_DeadText","DEAD", true, false )

local ar_Border_red = CreateClientConVar( "GlassHUD_AR_outer_red", 255, true, false )
local ar_Border_green = CreateClientConVar( "GlassHUD_AR_outer_green", 255, true, false )
local ar_Border_blue = CreateClientConVar( "GlassHUD_AR_outer_blue", 255, true, false )

local ar_Glass_red = CreateClientConVar( "GlassHUD_AR_inner_red", 255, true, false )
local ar_Glass_green = CreateClientConVar( "GlassHUD_AR_inner_green",50, true, false )
local ar_Glass_blue = CreateClientConVar( "GlassHUD_AR_inner_blue",50, true, false )

local ar_Font_red = CreateClientConVar( "GlassHUD_AR_Font_red",255, true, false )
local ar_Font_green = CreateClientConVar( "GlassHUD_AR_Font_green",255, true, false )
local ar_Font_blue = CreateClientConVar( "GlassHUD_AR_Font_blue",255, true, false )

local am_Border_red = CreateClientConVar( "GlassHUD_AM_outer_red", 255, true, false )
local am_Border_green = CreateClientConVar( "GlassHUD_AM_outer_green", 255, true, false )
local am_Border_blue = CreateClientConVar( "GlassHUD_AM_outer_blue", 255, true, false )

local am_Glass_red = CreateClientConVar( "GlassHUD_AM_inner_red", 50, true, false )
local am_Glass_green = CreateClientConVar( "GlassHUD_AM_inner_green",50, true, false )
local am_Glass_blue = CreateClientConVar( "GlassHUD_AM_inner_blue",50, true, false )

local am_Font_red = CreateClientConVar( "GlassHUD_AM_Font_red",255, true, false )
local am_Font_green = CreateClientConVar( "GlassHUD_AM_Font_green",255, true, false )
local am_Font_blue = CreateClientConVar( "GlassHUD_AM_Font_blue",255, true, false )  

local hp_Pos_hor = CreateClientConVar( "GlassHUD_HP_Pos_hor",ScrW() / 20, true, false )
local hp_Pos_ver = CreateClientConVar( "GlassHUD_HP_Pos_ver",ScrH() / 20, true, false )

local ar_Pos_hor = CreateClientConVar( "GlassHUD_AR_Pos_hor",ScrW() / 20 + 150, true, false )
local ar_Pos_ver = CreateClientConVar( "GlassHUD_AR_Pos_ver",ScrH() / 20, true, false )

local am_Pos_hor = CreateClientConVar( "GlassHUD_AM_Pos_hor",ScrW() * 0.85, true, false )
local am_Pos_ver = CreateClientConVar( "GlassHUD_AM_Pos_ver",ScrH() * 0.92, true, false ) 

local HCH_Health = CreateClientConVar( "HudComponentHider_GH_Health",0, true, false )
local HCH_Armor = CreateClientConVar( "HudComponentHider_GH_Battery",0, true, false )
local HCH_Ammo = CreateClientConVar( "HudComponentHider_GH_Ammo",0, true, false ) 
//convars - yes theres a lot of them O_o
function CustomGlassHUD()
    //variables//
    local ply = LocalPlayer()

    local HP = math.Clamp(ply:Health(),0,100000 )
    local HPouter = Color(hp_Border_red:GetInt(),hp_Border_green:GetInt(),hp_Border_blue:GetInt(), 150 )
    local HPinner = Color(hp_Glass_red:GetInt(),hp_Glass_green:GetInt(),hp_Glass_blue:GetInt(),255)
    local HPouterdead = Color(hp_Border_red_dead:GetInt(),hp_Border_green_dead:GetInt(),hp_Border_blue_dead:GetInt(), 150 )
    local HPinnerdead = Color(hp_Glass_red_dead:GetInt(),hp_Glass_green_dead:GetInt(),hp_Glass_blue_dead:GetInt(),255)
    local HPDisplay = Color(hp_Font_red:GetInt(),hp_Font_green:GetInt(),hp_Font_blue:GetInt(),255)
    local HPLight = Color(255,255, 255,50)
    local HPtextColor = Color(hp_Font_red:GetInt(),hp_Font_green:GetInt(),hp_Font_blue:GetInt(),255)
    local HPtextColordead = Color(hp_Font_red_dead:GetInt(),hp_Font_green_dead:GetInt(),hp_Font_blue_dead:GetInt(),255)
    local HPPosx,HPPosy = hp_Pos_hor:GetInt(), hp_Pos_ver:GetInt()
    
    local AR = math.Clamp(ply:Armor(),0,100000 )
    local ARouter = Color(ar_Border_red:GetInt(),ar_Border_green:GetInt(),ar_Border_blue:GetInt(),math.Clamp(AR * 1.5,0,150))
    local ARinner = Color(ar_Glass_red:GetInt(),ar_Glass_green:GetInt(),ar_Glass_blue:GetInt(),math.Clamp(AR * 2.55,0,255))
    local ARouterdead = Color(255,255,255,math.Clamp(AR * 1.5,0,150))
    local ARinnerdead = Color( 255, 50, 50,math.Clamp(AR * 2.55,0,255))
    local ARDisplay = Color(ar_Font_red:GetInt(),ar_Font_green:GetInt(),ar_Font_blue:GetInt(),math.Clamp(AR * 2.55,0,255))
    local ARLight = Color(255,255, 255,math.Clamp(AR * 0.5,0,50))
    local ARtextColor = Color(ar_Font_red:GetInt(),ar_Font_green:GetInt(),ar_Font_blue:GetInt(),math.Clamp(AR * 2.55,0,255))
    local ARPosx,ARPosy = ar_Pos_hor:GetInt(),ar_Pos_ver:GetInt()
    
    local AMouter = Color(am_Border_red:GetInt(),am_Border_green:GetInt(),am_Border_blue:GetInt(), 150 )
    local AMinner = Color(am_Glass_red:GetInt(),am_Glass_green:GetInt(),am_Glass_blue:GetInt(),255)
    local AMDisplay = Color(am_Font_red:GetInt(),am_Font_green:GetInt(),am_Font_blue:GetInt(),255)
    local AMLight = Color(255,255, 255,50)
    local AMtextColor = Color(am_Font_red:GetInt(),am_Font_green:GetInt(),am_Font_blue:GetInt(),255)
    local AMPosx,AMPosy = am_Pos_hor:GetInt(), am_Pos_ver:GetInt()

	local FONT_1 = "GlassHUD_1"
	local FONT_2 = "GlassHUD_2"
    //variables//
    
    local function drawDisplayBox(posx,posy,outerbox,innerbox,text,textcol,bgtext,bgtxtcol,lightbox)
        draw.RoundedBox(6, posx-50,posy - 25, 100, 60, outerbox)
        draw.RoundedBox(6, posx-45,posy - 20, 90,40,innerbox)
        draw.SimpleText(text,FONT_2, posx,posy,textcol, TEXT_ALIGN_CENTER, TEXT_ALIGN_CENTER)
		draw.RoundedBox(6, posx-45,posy - 20, 90,20,lightbox)
		draw.SimpleText(bgtext,FONT_1,posx,posy + 28,bgtxtcol, TEXT_ALIGN_CENTER, TEXT_ALIGN_CENTER)
    end
    
    local function drawammoDisplayBox(posx,posy,outerbox,innerbox,text,textcol,bgtext,bgtxtcol,lightbox,sizeX,SizeY,fix)
        draw.RoundedBox(6, posx-50,posy - 25, sizeX,SizeY, outerbox)
        draw.RoundedBox(6, posx-45,posy - 20, sizeX - 10,SizeY - 20,innerbox)
		draw.SimpleText(text,FONT_2, posx + fix,posy + 10,textcol, TEXT_ALIGN_CENTER, TEXT_ALIGN_CENTER)
        draw.RoundedBox(6, posx-45,posy - 20, sizeX - 10,SizeY - 50,lightbox)
        draw.SimpleText(bgtext,FONT_1,posx + fix,posy + 48,bgtxtcol, TEXT_ALIGN_CENTER, TEXT_ALIGN_CENTER)
    end
    
    //DRAW HP//
	if HCH_Health:GetInt() == 0 then
		if ply:Alive() then
			drawDisplayBox(HPPosx,HPPosy,HPouter,HPinner,HP,HPtextColor,"HEALTH",HPDisplay,HPLight)
		elseif hp_showdead:GetInt()== 1 then
			drawDisplayBox(HPPosx,HPPosy,HPouterdead,HPinnerdead,hp_deadtext:GetString(),HPtextColordead," ",HPDisplay,HPLight)
		end
	end
    //DRAW HP//
    
    //DRAW ARMOR//
	if HCH_Armor:GetInt() == 0 then
		if (ply:Alive() and AR != 0) then
			drawDisplayBox(ARPosx,ARPosy,ARouter,ARinner,AR,ARtextColor,"ARMOR",ARDisplay,ARLight)
		else
			drawDisplayBox(ARPosx,ARPosy,ARouterdead,ARinnerdead,AR,ARtextColor,"ARMOR",ARDisplay,ARLight)
		end
	end
    //DRAW ARMOR//
    
    //DRAW AMMO//
	if HCH_Ammo:GetInt() == 0 then
		if ply:GetActiveWeapon():IsWeapon() and ply:Alive() then
			local magazine1 = ply:GetActiveWeapon():Clip1()
			local magazines = ply:GetAmmoCount(ply:GetActiveWeapon():GetPrimaryAmmoType())
			local magazine2 = ply:GetAmmoCount(ply:GetActiveWeapon():GetSecondaryAmmoType())
			
			if (magazine1 != -1) and (magazine2 != 0) then
				drawammoDisplayBox(AMPosx,AMPosy,AMouter,AMinner,magazine1.." | "..magazines.." | "..magazine2,AMtextColor,"AMMUNITION",AMDisplay,AMLight,250,80,70)
			elseif !(magazine1 < 1 ) and !(magazines < 0) then
				drawammoDisplayBox(AMPosx,AMPosy,AMouter,AMinner,magazine1.." | "..magazines ,AMtextColor,"AMMUNITION",AMDisplay,AMLight,200,80,50)
			elseif (magazine1 < 0) and !(magazines < 1) then
				drawammoDisplayBox(AMPosx,AMPosy,AMouter,AMinner,magazines,AMtextColor,"AMMUNITION",AMDisplay,AMLight,200,80,50)
			end    
		end
	end
    //DRAW AMMO//
end
hook.Add("HUDPaint","CustomGlassHUD",CustomGlassHUD)


