
local function GlassHUD_Health_colors(CPanel)
    CPanel:ClearControls()
    CPanel:AddHeader()
    CPanel:AddControl("Label",{Text = "---Health Dispaly---"})
	               CPanel:AddControl("Label",{Text = "Border Color"})
    CPanel:AddControl("Color",{
        Label = "Border Color",
        Red = "GlassHUD_HP_outer_red",
        Green = "GlassHUD_HP_outer_green",
        Blue = "GlassHUD_HP_outer_blue",
        ShowHSV = 0,
        ShowRGB = 1,
        Multiplier = 255})
	               CPanel:AddControl("Label",{Text = "Glass Color"})
    CPanel:AddControl( "Color", {
        Label = "Glass Color",
        Red = "GlassHUD_HP_inner_red",
        Green = "GlassHUD_HP_inner_green",
        Blue = "GlassHUD_HP_inner_blue",
        ShowHSV = 0,
        ShowRGB = 1,
        Multiplier = 255})
	               CPanel:AddControl("Label",{Text = "Font Color"})
    CPanel:AddControl( "Color", {
        Label = "Font Color",
        Red = "GlassHUD_HP_Font_red",
        Green = "GlassHUD_HP_Font_green",
        Blue = "GlassHUD_HP_Font_blue",
        ShowHSV = 0,
        ShowRGB = 1,
        Multiplier = 255})
    //Colors when dead
    CPanel:AddControl("Label",{Text = "---Health Dispaly When Dead---"})
    CPanel:AddControl("CheckBox", { Label = "Show HUD when Dead?", Command = "GlassHUD_Dead" })
    CPanel:AddControl("TextBox", {
        Label = "Text in Health Display when dead: ",
        MaxLength = 4,
        Text = "Enter your Text here",
        Command = "GlassHUD_DeadText"})
	               CPanel:AddControl("Label",{Text = "Border Color"})
    CPanel:AddControl("Color",{
        Label = "Border Color",
        Red = "GlassHUD_HP_outer_red_dead",
        Green = "GlassHUD_HP_outer_green_dead",
        Blue = "GlassHUD_HP_outer_blue_dead",
        ShowHSV = 0,
        ShowRGB = 1,
        Multiplier = 255})
	               CPanel:AddControl("Label",{Text = "Glass Color"})
    CPanel:AddControl( "Color", {
        Label = "Glass Color",
        Red = "GlassHUD_HP_inner_red_dead",
        Green = "GlassHUD_HP_inner_green_dead",
        Blue = "GlassHUD_HP_inner_blue_dead",
        ShowHSV = 0,
        ShowRGB = 1,
        Multiplier = 255})
	               CPanel:AddControl("Label",{Text = "Font Color"})
    CPanel:AddControl( "Color", {
        Label = "Font Color",
        Red = "GlassHUD_HP_Font_red_dead",
        Green = "GlassHUD_HP_Font_green_dead",
        Blue = "GlassHUD_HP_Font_blue_dead",
        ShowHSV = 0,
        ShowRGB = 1,
        Multiplier = 255})
end
local function GlassHUD_Armor_colors(CPanel)
    CPanel:ClearControls()
    CPanel:AddHeader()
    CPanel:AddControl("Label",{Text = "---Armor Dispaly---"})
	               CPanel:AddControl("Label",{Text = "Border Color"})
    CPanel:AddControl("Color",{
        Label = "Border Color",
        Red = "GlassHUD_AR_outer_red",
        Green = "GlassHUD_AR_outer_green",
        Blue = "GlassHUD_AR_outer_blue",
        ShowHSV = 0,
        ShowRGB = 1,
        Multiplier = 255})
	               CPanel:AddControl("Label",{Text = "Glass Color"})
    CPanel:AddControl( "Color", {
        Label = "Glass Color",
        Red = "GlassHUD_AR_inner_red",
        Green = "GlassHUD_AR_inner_green",
        Blue = "GlassHUD_AR_inner_blue",
        ShowHSV = 0,
        ShowRGB = 1,
        Multiplier = 255})
	               CPanel:AddControl("Label",{Text = "Font Color"})
    CPanel:AddControl( "Color", {
        Label = "Font Color",
        Red = "GlassHUD_AR_Font_red",
        Green = "GlassHUD_AR_Font_green",
        Blue = "GlassHUD_AR_Font_blue",
        ShowHSV = 0,
        ShowRGB = 1,
        Multiplier = 255})
end

local function GlassHUD_Ammo_colors(CPanel)
    CPanel:ClearControls()
    CPanel:AddHeader()
    CPanel:AddControl("Label",{Text = "---Ammunition Dispaly---"})
    CPanel:AddControl("Label",{Text = "Border Color"})
    CPanel:AddControl("Color",{
        Label = "Border Color",
        Red = "GlassHUD_AM_outer_red",
        Green = "GlassHUD_AM_outer_green",
        Blue = "GlassHUD_AM_outer_blue",
        ShowHSV = 0,
        ShowRGB = 1,
        Multiplier = 255})
    CPanel:AddControl("Label",{Text = "Glass Color"})
    CPanel:AddControl( "Color", {
        Label = "Glass Color",
        Red = "GlassHUD_AM_inner_red",
        Green = "GlassHUD_AM_inner_green",
        Blue = "GlassHUD_AM_inner_blue",
        ShowHSV = 0,
        ShowRGB = 1,
        Multiplier = 255})
    CPanel:AddControl("Label",{Text = "Font Color"})
    CPanel:AddControl( "Color", {
        Label = "Font Color",
        Red = "GlassHUD_AM_Font_red",
        Green = "GlassHUD_AM_Font_green",
        Blue = "GlassHUD_AM_Font_blue",
        ShowHSV = 0,
        ShowRGB = 1,
        Multiplier = 255})
end

local function GlassHUD_Global_Positions(CPanel)
    CPanel:ClearControls()
    CPanel:AddHeader()
    CPanel:AddControl("Label",{Text = "---Ammunition Dispaly Position---"})
    CPanel:AddControl("Slider",{Command = "GlassHUD_AM_Pos_ver",Label = "Vertical",Min = 0 ,Max = ScrH()})
    CPanel:AddControl("Slider",{Command = "GlassHUD_AM_Pos_hor",Label = "Horizontal",Min = 0 ,Max = ScrW()})
	         
    CPanel:AddControl("Label",{Text = "---Armor Dispaly Position---"})
    CPanel:AddControl("Slider",{Command = "GlassHUD_AR_Pos_ver",Label = "Vertical",Min = 0 ,Max = ScrH()})
    CPanel:AddControl("Slider",{Command = "GlassHUD_AR_Pos_hor",Label = "Horizontal",Min = 0 ,Max = ScrW()})
	         
    CPanel:AddControl("Label",{Text = "---Health Dispaly Position---"})
    CPanel:AddControl("Slider",{Command = "GlassHUD_HP_Pos_ver",Label = "Vertical",Min = 0 ,Max = ScrH()})
    CPanel:AddControl("Slider",{Command = "GlassHUD_HP_Pos_hor",Label = "Horizontal",Min = 0 ,Max = ScrW()})
end

local function GlassHUD_Component_Hider(CPanel)
    CPanel:ClearControls()
    CPanel:AddHeader()
    CPanel:AddControl("Label",{Text = "Check to disable Hud Component"})
    CPanel:AddControl("CheckBox",{Command = "HudComponentHider_CHudHealth",Label = "Original Health"})
    CPanel:AddControl("CheckBox",{Command = "HudComponentHider_CHudBattery",Label = "Original Armor"}) 
    CPanel:AddControl("CheckBox",{Command = "HudComponentHider_CHudAmmo",Label = "Original Ammo"})
    CPanel:AddControl("CheckBox",{Command = "HudComponentHider_CHudDamageIndicator",Label = "Red Hurt/Death Effect"})
	CPanel:AddControl("Label",{Text = "---------------------------------------"})
    CPanel:AddControl("CheckBox",{Command = "HudComponentHider_GH_Health",Label = "Glass HUD Health"})
    CPanel:AddControl("CheckBox",{Command = "HudComponentHider_GH_Battery",Label = "Glass HUD Armor"})
    CPanel:AddControl("CheckBox",{Command = "HudComponentHider_GH_Ammo",Label = "Glass HUD Ammunition"})
end
	         
local function GlassHUD_menu()
	spawnmenu.AddToolMenuOption("Options","Glass HUD","Health Display","#Health Display","","",GlassHUD_Health_colors,{})
    spawnmenu.AddToolMenuOption("Options","Glass HUD","Armor Display","#Armor Display","","",GlassHUD_Armor_colors,{})
    spawnmenu.AddToolMenuOption("Options","Glass HUD","Ammo Display","#Ammo Display","","",GlassHUD_Ammo_colors,{})
	spawnmenu.AddToolMenuOption("Options","Glass HUD","HUD Positioning","#HUD Positioning","","",GlassHUD_Global_Positions,{})
	spawnmenu.AddToolMenuOption("Options","Glass HUD","HUD Hiding","#HUD Hiding","","",GlassHUD_Component_Hider,{})
end
hook.Add("PopulateToolMenu","GlassHUD_menu",GlassHUD_menu)



